from math import*
import matplotlib.pyplot as plt

def C(V,n):
  return ...

def pH(V,np,nm):
  if np==0 and nm==0:
    return ...
  if np!=0:
    return -log(C(V,np),10)
  if nm!=0:
    return ...

def experience():
  V=20
  np=30
  nm=0
  for q in range(50):
    V=V+1
    if np!=0:
      np=...
    else:
      ...
    # on place le point sur le graphique
    plt.scatter(q,pH(V,np,nm),color='blue')

  # legendes du graphique et affichage
  plt.xlabel("quantite versee (en mL)"); plt.ylabel("pH")
  plt.title("Observation d'un saut de pH")
  plt.show()

